Package org.jcsp.net

# Interface NetChannelEndFactory

All Known Implementing Classes:
  `MigratableChannelEndFactory`, `StandardNetChannelEndFactory`, `UnacknowledgedNetChannelEndFactory`

public interface NetChannelEndFactory

This interface defines methods for constructing Networked channel ends.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`NetSharedChannelOutput`
`createAny2Net(NetChannelLocation loc)`
Constructs a `NetSharedChannelOutput` object.
`NetSharedChannelInput`
`createNet2Any()`
Constructs a `NetSharedChannelInput` object.
`NetAltingChannelInput`
`createNet2One()`
Constructs a `NetAltingChannelInput` object.
`NetChannelOutput`
`createOne2Net(NetChannelLocation loc)`
Constructs a `NetChannelOutput` object.

## Method Details

### createNet2One

NetAltingChannelInput createNet2One()

Constructs a `NetAltingChannelInput` object.

Returns:
  the constructed `NetAltingChannelInput` object.

### createNet2Any

NetSharedChannelInput createNet2Any()

Constructs a `NetSharedChannelInput` object.

Returns:
  the constructed `NetSharedChannelInput` object.

### createOne2Net

NetChannelOutput createOne2Net(NetChannelLocation loc)

Constructs a `NetChannelOutput` object.

Returns:
  the constructed `NetChannelOutput` object.

### createAny2Net

NetSharedChannelOutput createAny2Net(NetChannelLocation loc)

Constructs a `NetSharedChannelOutput` object.

Returns:
  the constructed `NetSharedChannelOutput` object.